Mandrake Linux Security Advisory : kde (MDKSA-2003:004-1)

High Nessus Plugin ID 13989


The remote Mandrake Linux host is missing one or more security updates.


Multiple instances of improperly quoted shell command execution exist in KDE 2.x up to and including KDE 3.0.5. KDE fails to properly quote parameters of instructions passed to the shell for execution. These parameters may contain data such as filenames, URLs, email address, and so forth; this data may be provided remotely to a victim via email, web pages, files on a network filesystem, or other untrusted sources.

It is possible for arbitrary command execution on a vulnerable system with the privileges of the victim's account.

The code audit by the KDE team resulted in patches for KDE 2.2.2 and KDE 3; version 3.0.5a was released and the KDE team encourages the upgrade. The listed KDE2 packages have the KDE team's patches applied to provide the fixed code.

Update :

The SRPM for the new arts for Mandrake Linux 9.0 was not linked into the updates tree. This has been corrected.


Update the affected packages.

See Also

Plugin Details

Severity: High

ID: 13989

File Name: mandrake_MDKSA-2003-004.nasl

Version: $Revision: 1.15 $

Type: local

Published: 2004/07/31

Modified: 2013/05/31

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:arts, p-cpe:/a:mandriva:linux:kdeaddons, p-cpe:/a:mandriva:linux:kdeadmin, p-cpe:/a:mandriva:linux:kdeartwork, p-cpe:/a:mandriva:linux:kdebase, p-cpe:/a:mandriva:linux:kdebase-devel, p-cpe:/a:mandriva:linux:kdebase-nsplugins, p-cpe:/a:mandriva:linux:kdeedu, p-cpe:/a:mandriva:linux:kdegames, p-cpe:/a:mandriva:linux:kdegames-devel, p-cpe:/a:mandriva:linux:kdegraphics, p-cpe:/a:mandriva:linux:kdegraphics-devel, p-cpe:/a:mandriva:linux:kdelibs, p-cpe:/a:mandriva:linux:kdelibs-devel, p-cpe:/a:mandriva:linux:kdemultimedia, p-cpe:/a:mandriva:linux:kdemultimedia-aktion, p-cpe:/a:mandriva:linux:kdemultimedia-devel, p-cpe:/a:mandriva:linux:kdenetwork, p-cpe:/a:mandriva:linux:kdenetwork-devel, p-cpe:/a:mandriva:linux:kdepim, p-cpe:/a:mandriva:linux:kdepim-devel, p-cpe:/a:mandriva:linux:kdesdk, p-cpe:/a:mandriva:linux:kdesdk-devel, p-cpe:/a:mandriva:linux:kdetoys, p-cpe:/a:mandriva:linux:kdetoys-devel, p-cpe:/a:mandriva:linux:kdeutils, p-cpe:/a:mandriva:linux:kdeutils-devel, p-cpe:/a:mandriva:linux:libarts, p-cpe:/a:mandriva:linux:libarts-devel, cpe:/o:mandrakesoft:mandrake_linux:9.0

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2003/01/17

Reference Information

CVE: CVE-2002-1393

MDKSA: 2003:004-1